---
updatedAt: 2026-03-31T12:12:41.000Z
agentTools:
  projectIndex: https://api.net2grid.com/llms.txt
---

# /meterreader/commission

Initiates the connection between a smart bridge (gateway) and a smart reader, mandating the smart bridge to connect to the smart meter with the specified MAC address. The connection will fail if the smart reader has not previously been detected by the smart bridge, so it is important that the reader has been powered up and is within range before calling this endpoint.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "NET2GRID Customer Engagement API",
    "description": "This is the B2C NET2GRID API that can be used by mobile and web apps to manage the accounts and the data that are provided by the NET2GRID Meter Data Analytics Platform.",
    "version": "13.6.0"
  },
  "servers": [
    {
      "url": "http://api.net2grid.docker",
      "description": "API server"
    }
  ],
  "paths": {
    "/v2/meterreader/commission": {
      "put": {
        "tags": [
          "Registration"
        ],
        "summary": "/meterreader/commission",
        "description": "Initiates the connection between a smart bridge (gateway) and a smart reader, mandating the smart bridge to connect to the smart meter with the specified MAC address. The connection will fail if the smart reader has not previously been detected by the smart bridge, so it is important that the reader has been powered up and is within range before calling this endpoint.",
        "operationId": "v2putmeterreadercommission",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/MeterReaderCommissionRequestDTO"
              },
              "examples": {
                "MeterReaderCommission": {
                  "$ref": "#/components/examples/MeterReaderCommission"
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/OkResponseDTO"
                },
                "examples": {
                  "OkResponse": {
                    "$ref": "#/components/examples/OkResponse"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Invalid Request<br/>\n    153: No valid meter found for user<br/>\n    265: Customer Service Generic Exception<br/>\n    281: Unable to Send Command Exception<br/>\n    400: User not provisioned<br/>\n    405: Gateway is off-line<br/>\n    408: Gateway Connection Exception<br/>\n    422: Invalid Input Exception<br/>\n    424: MAC Address is required<br/>\n    999: Unspecified Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseDTO"
                }
              }
            }
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "MeterReaderCommissionRequestDTO": {
        "required": [
          "mac_address"
        ],
        "properties": {
          "mac_address": {
            "description": "Mac address of the meter reader",
            "type": "string"
          }
        },
        "type": "object"
      },
      "ErrorDTO": {
        "properties": {
          "code": {
            "type": "integer"
          },
          "message": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "ErrorResponseDTO": {
        "properties": {
          "status": {
            "type": "string"
          },
          "error": {
            "$ref": "#/components/schemas/ErrorDTO"
          }
        },
        "type": "object"
      },
      "OkResponseDTO": {
        "required": [
          "status",
          "message"
        ],
        "properties": {
          "status": {
            "type": "string"
          },
          "message": {
            "type": "string"
          }
        },
        "type": "object"
      }
    },
    "examples": {
      "OkResponse": {
        "summary": "Success response",
        "value": {
          "status": "ok",
          "message": "ok"
        }
      },
      "MeterReaderCommission": {
        "summary": "Request body",
        "value": {
          "mac_address": "6802:E2FF:F1B4:7341"
        }
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "bearerFormat": "JWT",
        "scheme": "bearer"
      }
    }
  },
  "tags": [
    {
      "name": "Registration"
    }
  ],
  "x-explorer-enabled": false
}
```